package com.yidian.shenghuoquan.newscontent.http.httpbean

class VideoCommentBean(var request: Request, var response: Response) {
    data class Request(var docid: String, var page_size: Int, var page: Int)

    data class Response(
        val commentNumber: Int,
        val commentTotalNumber: Int,
        val comments: List<Comment>,
        val currentPage: Int,
        val mycomment: List<Any>
    )

    data class Comment(
        val appId: String,
        val auditStatus: Int,
        val businessId: Int,
        val comment: String,
        val commentId: String,
        val createTime: Int,
        val dislikes: Int,
        val docAuthor: Int,
        val docId: String,
        val id: Int,
        val isLike: Int,
        val likes: Int,
        val replies: Int,
        val replyComments: List<ReplyComment>,
        val replyToId: String,
        val src: Int,
        val status: Int,
        val topCommentId: String,
        val updateTime: Int,
        val userId: Int,
        val userImage: String,
        val userName: String,
        val utk: String
    )

    data class ReplyComment(
        val appId: String,
        val auditStatus: Int,
        val businessId: Int,
        val comment: String,
        val commentId: String,
        val createTime: Int,
        val dislikes: Int,
        val docAuthor: Int,
        val docId: String,
        val id: Int,
        val likes: Int,
        val replies: Int,
        val replyToId: String,
        val replyToUserId: Int,
        val src: Int,
        val status: Int,
        val topCommentId: String,
        val updateTime: Int,
        val userId: Int,
        val userImage: String,
        val userName: String,
        val utk: String
    )
}
    
    
